Updates an external agent based on their external agent guid.
Responses
-
Successfully updated an external agent.
-
Invalid request. See response body for details.
-
Unauthorized request. See response body for details.
-
Permission denied. See response body for details.
-
External agent not found.
-
Optimistic concurrency check failed. The If-Match header is missing or it does not contain the version currently in the database.
-
Unknown error. See response body for details.
PATCH
/external-agents/{externalAgentId}
curl \
--request PATCH 'http://api.example.com/external-agents/{externalAgentId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"id":"string (UUID)","typeCode":"string","companyName":"string","prefix":"string","firstName":"string","middleName":"string","lastName":"string","suffix":"string","endCode":"string","payBroker":"boolean","taxId":"string","taxExempt":"boolean","taxCharged":"boolean","use1099":"boolean","mlsId":"string","addresses":[{"typeCode":"string","line1":"string","line2":"string","city":"string","provinceCode":"string","postalCode":"string","countryCode":"string"}],"phoneNumbers":[{"typeCode":"string","ext":"string","number":"string"}],"emailAddresses":[{"typeCode":"string","address":"string"}]}'
Request example
{
"id": "string (UUID)",
"typeCode": "string",
"companyName": "string",
"prefix": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"suffix": "string",
"endCode": "string",
"payBroker": "boolean",
"taxId": "string",
"taxExempt": "boolean",
"taxCharged": "boolean",
"use1099": "boolean",
"mlsId": "string",
"addresses": [
{
"typeCode": "string",
"line1": "string",
"line2": "string",
"city": "string",
"provinceCode": "string",
"postalCode": "string",
"countryCode": "string"
}
],
"phoneNumbers": [
{
"typeCode": "string",
"ext": "string",
"number": "string"
}
],
"emailAddresses": [
{
"typeCode": "string",
"address": "string"
}
]
}
Response examples (200)
{}
Response examples (404)
{
"code": 42,
"message": "string",
"details": [
"string"
]
}